package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 * 
* @ClassName: HaobanTimerApiService
* @Description: 好办定时入口
* @author xugh
* @date 2022年7月16日 上午9:25:11
*
 */
public interface HaobanTimerApiService {

    /**
     * 
    * @Title: deleteTempWxHm
    * @Description: 定时删除企微临时活码
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> deleteTempWxHm(String params);

    /**
     * 
    * @Title: repairExternalUserId
    * @Description: 检查修复外部联系人ID
    * @author xugh
    * @param wxEnterpriseId
    * @return
    * @throws
     */
    public ServiceResponse<Void> repairExternalUserId(String wxEnterpriseId);

    /**
     * 
    * @Title: repairStaffDepart
    * @Description: 修复成员部门
    * @author xugh
    * @param wxEnterpriseId
    * @return
    * @throws
     */
    public ServiceResponse<Void> repairStaffDepart(String params);

    /**
     * 
    * @Title: handChatNotice
    * @Description: 处理好办事件通知
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> handChatNotice(String params);

}
