package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.chat.TabGroupChat;

/**
 * 
 * @ClassName: TabHaobanGroupChatMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 13:35:28
 * @Modify
 * @CopyRight 
 */
public interface GroupChatMapper {

    public int insert(TabGroupChat tabHaobanGroupChat);

    public int deleteByPrimaryKey(Long groupChatId);

    public int update(TabGroupChat tabHaobanGroupChat);
    
    public int updateData() ;
    
    // 更新群状态
    public int updateChatStatus(@Param("groupChatId")Long groupChatId , @Param("chatStatus")int chatStatus) ;

    public TabGroupChat selectById(Long groupChatId);

    public List<TabGroupChat> listByIdList(@Param("idList") List<String> idList);

    public TabGroupChat selectByWxChatId(@Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("wxChatId") String wxChatId);

    public List<TabGroupChat> listAll(TabGroupChat tabHaobanGroupChat);
}