package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.ContentMaterialDTO;

public interface QywxSendService {

    /**
     * 企微群发-传入素材(ecm、群发助手)
     */
    public ServiceResponse<String> sendMessage(String wxEnterpriseId, String staffId, List<String> extendUserList,
            List<String> materialIdList);

    /**
     * 素材-分享
     */
    public ServiceResponse<String> sendMessageShare(String wxEnterpriseId, String staffId, List<String> extendUserList,
            List<ContentMaterialDTO> imageList, String message);

    /**
     * 分享朋友圈
     */
    public ServiceResponse<String> share(String wxEnterpriseId, List<String> clerkIdList, String message,
            List<ContentMaterialDTO> imageList);
}
